Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157583 - Extra-long package name makes progress bar jump up
Summary: Extra-long package name makes progress bar jump up
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 20:46 UTC by Mary Ellen Foster
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-15 15:24:54 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2005-05-12 20:46:27 UTC
+++ This bug was initially created as a clone of Bug #154459 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328
Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
During the progress-bar stage of installing, if a package being installed has an
especially long name, it wraps onto two lines. This causes the progress bar to
blip upwards briefly, and then back down as the next package has a shorter
description.

This happened too fast for me to see which package it was, but it looked like
many of the Java development packages

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Comment 1 Jeremy Katz 2005-05-23 19:00:39 UTC
What language is this with?

Comment 2 Mary Ellen Foster 2005-05-23 19:10:16 UTC
English -- possibly British English, I can't remember if that choice gets made
before that point in the install or not.

I can't remember what packages it was that made it jump, but I'm convinced I saw
it; I suspect things like
jakarta-commons-validator-javadoc-1.1.3-1jpp_1fc
and others in the jakarta-commons-* family.

Comment 3 Jeremy Katz 2005-05-23 20:19:40 UTC
I'm not seeing here although I can believe that it could happen.  Put in the
change to ensure that the string stays short enough such that the change
shouldn't occur, although that's a workaround at best.


Note You need to log in before you can comment on or make changes to this bug.